Description

The installation notes say:

"RubyGems 1.3.1 or higher is required (Rails 2.3.5 will fail with RubyGems 1.5.0 and later, stick to previous versions of RubyGems)"

However, while it is true that Rails 2.3.5 will fail with RubyGems 1.5.0 and later, it is not true that a previous version of RubyGems is

required. Even though it is true that "gem install rails" will fail, here is how to successfully install Rails:

gem install rdoc-data

rdoc-data --install

gem rdoc --all --overwrite

gem install rails

 This removes the need for using an old version of RubyGems.

I think the installation instructions should be updated to reflect this.

History

#1 - 2011-02-21 09:51 - Etienne Massip

- Category set to Documentation

#2 - 2011-02-22 10:11 - Etienne Massip

Could you update the RedmineInstall wiki page accordingly by yourself, please ?

I'm not sure to get what you want to mean and I don't understand how these commands would solve the issue ?

#3 - 2011-02-22 18:08 - Jean-Baptiste Barth

Please read carefully #7516 (rubygems 1.5.x support) and tell us if there's something wrong in this ticket, because as far as I know, the problem was

not only with rails install but also with all rake tasks.

Can you tell us if you have a way to make everything work with Redmine 1.1.x-stable and Rubygems 1.5.x ? Anyway, it should be fixed with

Redmine 1.2.0.

#4 - 2011-11-27 20:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback
